liborigin2 29/08/2011

Public Types | Public Member Functions | Public Attributes | List of all members
Origin::Matrix Struct Reference

`#include <OriginObj.h>`

Inheritance diagram for Origin::Matrix:

## Public Types
enum | HeaderViewType { ColumnRow, XY }
Public Types inherited from Origin::Window
enum | State { Normal, Minimized, Maximized }
enum | Title { Name, Label, Both }

## Public Member Functions
| Matrix (const string &_name="")
Public Member Functions inherited from Origin::Window
| Window (const string &_name="", const string &_label="", bool _hidden=false)

## Public Attributes
unsigned int | activeSheet
HeaderViewType | header
vector< MatrixSheet > | sheets
Public Attributes inherited from Origin::Window
time_t | creationDate
Rect | frameRect
bool | hidden
string | label
time_t | modificationDate
string | name
int | objectID
State | state
Title | title

## Member Enumeration Documentation

## ◆ HeaderViewType

enum Origin::Matrix::HeaderViewType

Enumerator
ColumnRow |
XY |

## Constructor & Destructor Documentation

## ◆ Matrix()

Origin::Matrix::Matrix | ( | const string & | _name = `""` | ) |
| inline

## Member Data Documentation

## ◆ activeSheet

unsigned int Origin::Matrix::activeSheet

## ◆ header

HeaderViewType Origin::Matrix::header

## ◆ sheets

vector<MatrixSheet> Origin::Matrix::sheets

The documentation for this struct was generated from the following file:

- /build/liborigin2/src/liborigin2/OriginObj.h